Subject: RE: [External] : bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Drew Adams <[email-masked]>
Date: Thu, 22 Apr 2021 22:17:54 +0000

> when I tried to perform query-replace in Wdired,
> it fails with the error:
> 
> Debugger entered--Lisp error: (error "Match data clobbered by buffer
> modification hooks")
>   replace-match("to" nil t)...
> 
> This is something new, maybe caused by some recent changes.
> But I can't find anything suspicious in the commit history of
> replace.el.
> 
> Do you see the same error?

I think that's maybe something new.  I don't see that,
with, e.g., Emacs 26.3.

I do see the problem of not being able to use a regexp
that matches beginning of file name, for query replace.

That problem is from isearch filtering.  I see that
same problem when, say, limiting query replacing to a
rectangle that contains just file names (or file names
plus spaces before them).  That's entirely understandable.